Bug 31624 - Remove printers/printer option "Use Windows client driver" workaround
Remove printers/printer option "Use Windows client driver" workaround
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Arvid Requate
Felix Botner
https://bugzilla.samba.org/show_bug.c...
: interim-3
Depends on: 27340
Blocks: 32870
  Show dependency treegraph
 
Reported: 2013-06-03 23:54 CEST by Arvid Requate
Modified: 2013-11-19 06:41 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-06-03 23:54:36 CEST
The issue observed and worked around in Bug #27340 seems to be fixed upstream. The upstream Patch applies to samba 3.6.8 (UCS 3.1.x) and is released in http://www.samba.org/samba/history/samba-3.6.9.html .

IMHO it would be a good idea to pull this patch (or upgrade) and remove the awkward manual "use client driver" configuration, which is hardly understandable for the admin.


+++ This bug was initially created as a clone of Bug #27340 +++
Comment 1 Arvid Requate univentionstaff 2013-10-15 17:29:48 CEST
The property has been removed from UDM and the joinscript of univention-printserver removes the corresponding LDAP attribute from all printer shares hosted by the updated system. The cups-printers listener still triggers on the attribute univentionPrinterUseClientDriver, and updates the local samba printer share definitions. Bug 32870 has been created to remove this code up in a future UCS release.
Comment 2 Felix Botner univentionstaff 2013-10-24 15:05:07 CEST
got this on a slave

ldap_modify: Referral (10)
        referrals:
                ldap://master.hans.de:7389/cn=swcprinter1,cn=printers,dc=hans,dc=de
modifying entry "cn=swcprinter1,cn=printers,dc=hans,dc=de"

ldap_modify: Referral (10)
        referrals:
                ldap://master.hans.de:7389/cn=swcprinter2,cn=printers,dc=hans,dc=de
modifying entry "cn=swcprinter2,cn=printers,dc=hans,dc=de"

ldap_modify: Referral (10)
        referrals:
                ldap://master.hans.de:7389/cn=socprinter3,cn=printers,dc=hans,dc=de
modifying entry "cn=socprinter3,cn=printers,dc=hans,dc=de"

use -H ldap://{ldap/master}:{ldap/master/port} for ldapmodify
Comment 3 Arvid Requate univentionstaff 2013-10-24 19:20:37 CEST
Fixed.
Comment 4 Felix Botner univentionstaff 2013-10-25 09:55:37 CEST
OK - "Use Windows client driver" has been removed
OK - ldap attribute univentionPrinterUseClientDriver is removed during update 
     (join)
OK - Changelog
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:41:53 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".